Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore
Class RangeUpdateFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protegex.owl.model.framestore.RangeUpdateFrameStore

All Implemented Interfaces:
  edu.stanford.smi.protege.model.framestore.FrameStore

    public class RangeUpdateFrameStore

extends edu.stanford.smi.protege.model.framestore.FrameStoreAdapter

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`RangeUpdateFrameStore(OWLModel owlModel)`

Method Summary
`void` | `addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superSlot)`
`edu.stanford.smi.protege.model.Slot` | `createSlot(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, Collection directSuperslots, boolean loadDefaults)`
`void` | `removeDirectSuperslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superslot)`
`void` | `setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)`
`void` | `synchronizeRDFSRangeWithProtegeAllowedValues(RDFProperty property)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectTemplateSlot, addDirectType, beginTransaction, commitTransaction, createCls, createFacet, createSimpleInstance, deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeUpdateFrameStore

    public RangeUpdateFrameStore(OWLModel owlModel)

Method Detail

### synchronizeRDFSRangeWithProtegeAllowedValues

    public void synchronizeRDFSRangeWithProtegeAllowedValues(RDFProperty property)

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                       edu.stanford.smi.protege.model.Slot slot,
                                       Collection values)

  Specified by:
    `setDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `setDirectOwnSlotValues` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### createSlot

    public edu.stanford.smi.protege.model.Slot createSlot(edu.stanford.smi.protege.model.FrameID id,
                                                          Collection directTypes,
                                                          Collection directSuperslots,
                                                          boolean loadDefaults)

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `createSlot` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### addDirectSuperslot

    public void addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot,
                                   edu.stanford.smi.protege.model.Slot superSlot)

  Specified by:
    `addDirectSuperslot` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `addDirectSuperslot` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### removeDirectSuperslot

    public void removeDirectSuperslot(edu.stanford.smi.protege.model.Slot slot,
                                      edu.stanford.smi.protege.model.Slot superslot)

  Specified by:
    `removeDirectSuperslot` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `removeDirectSuperslot` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.